petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESShellSetContext

sets the context for a shell SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESShellSetContext(SNES snes,void *ctx)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the shell SNES Many br
| ctx | - the context Many br

Many br

Fortran Notes: The context can only be an integer or a PetscObject Many brunfortunately it cannot be a Fortran array or derived type. Many br

### See Also

SNESCreateShell(), SNESShellGetContext()

Level:advanced
Location:src/snes/impls/shell/snesshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html